@import "../../../global.scss";

.TableHeaderContainer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  color: $DarkBlue;
}

.headerContent {
  font-size: 1em;
  color: $Teal;
  font-weight: 600;
  flex-basis: 14.28% !important;
  padding-left: 5px;
  text-align: center;
}

.rowContent {
  flex-basis: 12.28% !important;
  font-size: 1em;
  font-weight: 600;
  min-width: max-content;
  width: 13.28% !important;
  margin-top: auto;
  margin-bottom: auto;
  text-align: center;
}

.tableRowContainer {
  display: flex;
  justify-content: space-between !important;
  flex-direction: row;
  width: 99%;
  color: $Teal;
  cursor: pointer;
  @include mdesktop {
    justify-content: flex-start;
  }
  @include mtablet {
    width: 100%;
    overflow-x: auto;
  }
  &:focus {
    outline: none;
  }
}

.skuColumn {
  display: flex;
  /* justify-content: space-between; */
  flex-direction: row;
  justify-content: flex-start;
  min-width: 206px;
  .buttonFlex {
    width: 100%;
    .toggleBtn {
      background-color: $White !important;
      display: flex !important;
      justify-content: space-between !important;
      width: inherit !important;
      align-items: center !important;
      color: $DarkBlue;
      flex-direction: row-reverse;
      font-size: 1em;
      font-weight: 600;
      min-width: max-content;
      :hover,
      :focus {
        color: $DarkBlue;
        background-color: $White !important;
      }
    }

    .toggleMenu {
      background-color: $SkyLight !important;
      min-width: max-content !important;
      position: absolute;
      width: 1134px !important;
      top: 0px;
      left: 33px !important;
      :active,
      :focus,
      :visited,
      :hover {
        background-color: unset;
      }

      .item {
        color: $DarkBlue;
        :active,
        :focus,
        :visited,
        :hover {
          background-color: unset;
        }
      }
    }
  }
}

.caret {
  cursor: pointer;
}

//   .right {
//     box-shadow: 5px 0 5px -5px #333;
// }

// .bottom {
//     box-shadow: 0 5px 5px -5px #333;
// }

.safetyStock {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-right: 0px !important;
}

.effect6 {
  position: relative;
  border: 1px solid #eee;
  -webkit-box-shadow: 3px 3px 5px 2px #eee;
  -moz-box-shadow: 3px 3px 5px 2px #eee;
  box-shadow: 3px 3px 5px 2px #eee;
}
.effect6:before,
.effect6:after {
  content: "";
  position: absolute;
  z-index: -1;
  -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
  -moz-box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
  top: 50%;
  bottom: 0;
  left: 10px;
  right: 10px;
  -moz-border-radius: 100px / 10px;
  border-radius: 100px / 10px;
}
.effect6:after {
  right: 10px;
  left: auto;
  -webkit-transform: skew(8deg) rotate(3deg);
  -moz-transform: skew(8deg) rotate(3deg);
  -ms-transform: skew(8deg) rotate(3deg);
  -o-transform: skew(8deg) rotate(3deg);
  transform: skew(8deg) rotate(3deg);
}
